Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class CustomersMeetingDocuments
    Inherits FileAttachmentBase
    Private _CustomersMeeting As CustomersMeeting
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Association("CustomersMeeting-CustomersMeetingDocuments", GetType(CustomersMeeting))> _
    Property CustomersMeeting As CustomersMeeting
        Get
            Return _CustomersMeeting
        End Get
        Set(value As CustomersMeeting)
            SetPropertyValue("CustomersMeeting", _CustomersMeeting, value)
        End Set
    End Property
End Class
